<% local data, viewlibrary, page_info, session = ... %>
<% require("viewfunctions") %>

<% displaycommandresults({"kdestroy"}, session) %>
<% displaycommandresults({"kinit"}, session, true) %>

<H1><%= data.label %></H1>
<DL>
<pre>
<%= html.html_escape(data.value) %>
</pre>

<% if viewlibrary and viewlibrary.dispatch_component and session.permissions[page_info.controller].kdestroy then %>
<form action="<%= html.html_escape(page_info.script .. page_info.prefix .. page_info.controller .. "/kdestroy") %>">
<DT>Destroy Tickets</DT>
<DD><input class="submit" type="submit" value="Destroy"></DD>
</form>
<% end %>

</DL>

<% if viewlibrary and viewlibrary.dispatch_component and session.permissions[page_info.controller].kinit then
	viewlibrary.dispatch_component("kinit")
end %>
