module(..., package.seeall)

-- Load libraries
require("controllerfunctions")

default_action = "status"

function status(self)
	return self.model.getstatus()
end

function expert(self)
	return controllerfunctions.handle_form(self, self.model.get_filedetails, self.model.update_filedetails, self.clientdata, "Save", "Edit Heimdal Config", "Configuration Set")
end

function klist(self)
	return self.model.klist()
end

function kinit(self)
	return controllerfunctions.handle_form(self, self.model.get_kinit, self.model.set_kinit, self.clientdata, "Submit", "Obtain Kerberos Ticket")
end

function kdestroy(self)
	return self:redirect_to_referrer(self.model.kdestroy())
end

